Bug 1046367 - yum load-transaction: Could not find txmbr
Summary: yum load-transaction: Could not find txmbr
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-24 22:48 UTC by Christian Kujau
Modified: 2016-02-04 01:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:47:46 UTC


Attachments (Terms of Use)
/tmp/yum_save_tx.2013-12-24.14-26.u7jS3h.yumtx (79.35 KB, text/plain)
2013-12-24 22:49 UTC, Christian Kujau
no flags Details
/tmp/yum_save_tx.2014-09-06.19-17.xVf1U5.yumtx (1.35 KB, text/plain)
2014-09-06 17:29 UTC, Raphael Groner
no flags Details

Description Christian Kujau 2013-12-24 22:48:10 UTC
Description of problem:

"yum load-transaction" doesn't seem to be able to resume system upgrades.

Version-Release number of selected component (if applicable):

$ yum --version
3.4.3
  Installed: rpm-4.11.1-7.fc20.x86_64 at 2013-11-20 04:09
  Built    : Fedora Project at 2013-09-09 12:13
  Committed: Matilainen <pmatilai@redhat.com> at 2013-09-09

  Installed: yum-3.4.3-122.fc20.noarch at 2013-12-18 17:32
  Built    : Fedora Project at 2013-12-13 15:43
  Committed: Zdenek Pavlas <zpavlas@redhat.com> at 2013-12-13

  Installed: yum-plugin-fastestmirror-1.1.31-19.fc20.noarch at 2013-12-18 17:32
  Built    : Fedora Project at 2013-12-13 11:28
  Committed: Zdenek Pavlas <zpavlas@redhat.com> at 2013-12-13

How reproducible:

always

Steps to Reproduce:
1. $ yum upgrade
2. Answer "N" when asked "Is this ok"
3. $ yum load-transaction /tmp/yum_save_tx.2013-12-24.14-26.u7jS3h.yumtx
Loaded plugins: changelog, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirrors.usc.edu
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * updates: mirror.cpsc.ucalgary.ca
Could not find txmbr: hawkey,x86_64,0,0.4.6,1.fc20 from origin: a
Error: Transaction members, relations are missing or ts has been modified, aborting.


Actual results:

Could not find txmbr: hawkey,x86_64,0,0.4.6,1.fc20 from origin: a
Error: Transaction members, relations are missing or ts has been modified, aborting.

Expected results:

Yum should resume the upgrade.

Additional info:

The same happens on a F19 system, but a different package is named:

$ yum load-transaction /tmp/yum_save_tx.2013-12-24.14-26.OhY5Nr.yumtx
[...]
Could not find txmbr: openssl-devel,i686,1,1.0.1e,31.fc19 from origin: a
Error: Transaction members, relations are missing or ts has been modified, aborting.

Comment 1 Christian Kujau 2013-12-24 22:49:21 UTC
Created attachment 841326 [details]
/tmp/yum_save_tx.2013-12-24.14-26.u7jS3h.yumtx

Comment 2 Raphael Groner 2014-09-06 17:22:49 UTC
Reproducible for me. But with localinstall instead of upgrade.

$ yum --version
3.4.3
  Installed: rpm-4.11.2-2.fc20.x86_64 at 2014-02-24 23:20
  Built    : Fedora Project at 2014-02-18 07:24
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2014-02-18

  Installed: yum-3.4.3-152.fc20.noarch at 2014-07-07 12:19
  Built    : Fedora Project at 2014-06-18 12:25
  Committed: James Antill <james at fedoraproject.org> at 2014-06-18

  Installed: yum-plugin-fastestmirror-1.1.31-23.fc20.noarch at 2014-06-04 11:23
  Built    : Fedora Project at 2014-05-23 14:07
  Committed: Valentina Mukhamedzhanova <vmukhame@redhat.com> at 2014-05-23


# LC_ALL=C find /home/build/rpmbuild/RPMS/ -name 'openmortal*.rpm' |xargs yum localinstall
…
Is this ok [y/d/N]: Exiting on user command
Ihre Transaktion wurde gespeichert, erneuter Aufruf mit:
yum load-transaction /tmp/yum_save_tx.2014-09-06.19-17.xVf1U5.yumtx
# LC_ALL=C yum load-transaction /tmp/yum_save_tx.2014-09-06.19-17.xVf1U5.yumtx
…
Error: Could not find txmbr: ('openmortal-debuginfo', 'x86_64', '0', '0.7', '2.fc20') in state 70

Comment 3 Raphael Groner 2014-09-06 17:29:40 UTC
Created attachment 935042 [details]
/tmp/yum_save_tx.2014-09-06.19-17.xVf1U5.yumtx

Comment 4 Fedora End Of Life 2015-05-29 10:09:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Raphael Groner 2015-05-29 19:13:56 UTC
Can you reproduce this in Fedora 21 with dnf?

Comment 6 Fedora End Of Life 2015-06-29 13:47:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Christian Kujau 2015-07-29 17:46:15 UTC
"dnf" doesn't seem to support transactions or no transaction data is offered:

--------------------------------------------------------------------------------------
fedora0# dnf --version
1.0.1
  Installed: dnf-0:1.0.1-2.fc22.noarch at 2015-07-29 09:38
  Built    : Fedora Project at 2015-06-12 09:00

  Installed: rpm-0:4.12.0.1-12.fc22.i686 at 2015-07-29 09:37
  Built    : Fedora Project at 2015-06-29 10:34


fedora0# dnf upgrade
Last metadata expiration check performed 0:44:13 ago on Wed Jul 29 09:58:40 2015.
Dependencies resolved.
===================================================================================
 Package                             Arch                                  Version                                          Repository                               Size
===================================================================================
Upgrading:
 bc                                  i686                                  1.06.95-13.fc22                                  fedora                                  117 k

Transaction Summary
===================================================================================
Upgrade  1 Package

Total download size: 117 k
Is this ok [y/N]:  
Operation aborted.
fedora0# echo $?
1

Comment 8 royk 2016-02-03 20:19:25 UTC
yum load-transaction: Could not find txmbr
Driving me crazy for the installation of ovirt-engine on Virtualbox under CentOS 7. Following the ovirt user guide to do initial installation, I enter:    

Yum install http://plain.resources.ovirt.org/pub/yum-repo/ovirt-release36.rpm

but,,, the system is unable to read the entire rpm package only 9k or 13k. so it saves the transaction and provides a temp file to do rerun with, e.g.
Yum load-transaction /tmp/yum_save_tx.2016-02-03.10-01.r3JsAA.yumtx

However when I run this command it can’t find the tmp file piece, error message is:
“Error: Could not fine txmbr: (‘ovirt-release36’, ‘noarch’ , ‘0’ , ‘002’ ) in state 70”

Please help me graduate to being able to create "ovirt-engine" and configure this great oVirt solution for our cloud devops domain

Comment 9 Raphael Groner 2016-02-03 20:22:56 UTC
Please be aware that Fedora 20 has reached EOL, see comment #6. If you think this bug is still in a current Fedora (as of now 22 and 23 and rawhide=24) you should reopen this bug and adjust Version.

Besides that, yum is deprecated with Fedora 22 in favor of DNF. See man yum2dnf.

Comment 10 royk 2016-02-03 20:48:15 UTC
I am experiencing this bug with install of ovirt-engine in CentOS 7 operating environment, and am brand new to it. It has nothing to do with Fedora or Fedora 22. What do you suggest I do?
Thanks!

Comment 11 Christian Kujau 2016-02-04 01:07:08 UTC
I'd suggest to either reproduce this in a current version of Fedora or RHEL (and re-open this bug) or report this in the CentOS bugtracker.


Note You need to log in before you can comment on or make changes to this bug.